task minfi {
    File prefix
    File input_dir
    String docker
    String cluster_config
    String disk_size

    command <<<
		  set -o pipefail
		  set -e	
      Rscript /opt/EPIC.raw.R -p ${prefix} -i ${input_dir}
    >>>

    runtime {
		  docker:docker
		  cluster: cluster_config
      systemDisk: "cloud_ssd 40"
      dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
		  File rdata = "${prefix}.RData"
      File raw_mVal = "${prefix}.raw.mVal.txt"
      File raw_bVal = "${prefix}.raw.bVal.txt"
    }
  }